Bug 1573049 (CVE-2018-10289)

Summary: CVE-2018-10289 mupdf: Infinite lop in pdf/pdf-xref.c:fz_skip_space() allows for denial of service via crafted PDF
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: mjg
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:20:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1573050    
Bug Blocks:    

Description Sam Fowler 2018-04-30 03:36:55 UTC
MuPDF through version 1.13.0 has an infinite loop vulnerability in the pdf/pdf-xref.c:fz_skip_space() function. An attacker could exploit this to cause a denial of service via crafted PDF.


Upstream Bug:

https://bugs.ghostscript.com/show_bug.cgi?id=699271

Comment 1 Sam Fowler 2018-04-30 03:37:08 UTC
Created mupdf tracking bugs for this issue:

Affects: fedora-all [bug 1573050]

Comment 2 Michael J Gruber 2018-06-10 12:42:34 UTC
Patch in dist-git and submitted upstream:

https://bugs.ghostscript.com/attachment.cgi?id=15230

Comment 3 Product Security DevOps Team 2019-06-10 10:20:47 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.